Qlik Community

Knowledge

Search or browse our knowledge base to find answers to your questions ranging from account questions to troubleshooting error messages. The content is curated and updated by our global Support team

Announcements
QlikWorld online is next week! REGISTER NOW

Unable to upgrade Qlik Sense with missing 'SenseServices', 'QSMQ', and 'Licenses' database for respective capabilities.

cancel
Showing results for 
Search instead for 
Did you mean: 
Andre_Sostizzo
Digital Support
Digital Support

Unable to upgrade Qlik Sense with missing 'SenseServices', 'QSMQ', and 'Licenses' database for respective capabilities.

Unable to upgrade Qlik Sense with missing 'SenseServices', 'QSMQ', and 'Licenses' database for respective capabilities.

When upgrading, the following three errors are printed. The upgrade cannot progress. 

This version of Qlik Sense requires a 'SenseServices' database for multi cloud capabilities. Ensure that you have created a 'SenseServices' database in your cluster before upgrading.
For more information see Installing and configuring PostgreSQL.

This version of Qlik Sense requires a 'QSMQ' database for message queueing capabilities. Ensure that you have created a 'QSMQ' database in your cluster before upgrading.
For more information see Installing and configuring PostgreSQL.

This version of Qlik Sense requires a 'License' database for license capabilities. Ensure that you have created a 'Licenses' database in your cluster before upgrading.
For more information see Installing and configuring PostgreSQL.



The same is registered in the Qlik Sense installation logs in the system temp folder.

Environment:

  • Qlik Sense Enterprise April 2019 and newer

 

Cause:

  • Database missing 
  • Encryption enabled

 

Resolution:

 

Does the database exist?

For an example on how to troubleshoot and manually create the license database, see...


Is traffic encryption enabled?

Looking at the Connection String using the Qlik Sense Utility tool (stored under C:\Program Files\Qlik\Sense\Repository\Util\QlikSenseUtil) under Connection String Editor, the parameter "Ssl Mode=Require" is included.

The Qlik Sense installer cannot use SSL encryption for establishing connection to PostgreSQL. When SSL encryption is enabled, the installer does not recognize any already installed PostgreSQL databases, and as a consequence, installation cannot be completed.



Workaround:

Reference: Database traffic encryption

 

Labels (2)
Version history
Last update:
‎2020-11-09 07:55 AM
Updated by:
Contributors